Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.spring.remoting
Class XFireServletControllerAdapter

    java.lang.Object
      org.codehaus.xfire.transport.http.XFireServletController
          org.codehaus.xfire.spring.remoting.XFireServletControllerAdapter

All Implemented Interfaces:
  org.springframework.web.servlet.mvc.Controller

    public class XFireServletControllerAdapter

extends XFireServletController
implements org.springframework.web.servlet.mvc.Controller

An adapter for the `XFireServletController` so that it conforms to Springs MVC `Controller` interface.

Author:
  Dan Diephouse, Arjen Poutsma

Field Summary

Fields inherited from class org.codehaus.xfire.transport.http.XFireServletController
`transport, xfire`

Constructor Summary
`XFireServletControllerAdapter(XFire xfire, javax.xml.namespace.QName serviceName)` Initializes a new instance of the adapter with the given XFire instance and service name.

Method Summary
`protected java.lang.String` | `getService(javax.servlet.http.HttpServletRequest request)` Get the service that is mapped to the specified request.
`org.springframework.web.servlet.ModelAndView` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process the incoming SOAP request and create a SOAP response.

Methods inherited from class org.codehaus.xfire.transport.http.XFireServletController
`createMIMERequest, doService, generateService, generateServices, generateWSDL, getRequest, getResponse, getService, getServiceRegistry, getTransportManager, getXFire, invoke, registerTransport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XFireServletControllerAdapter

    public XFireServletControllerAdapter(XFire xfire,
                                         javax.xml.namespace.QName serviceName)

  Initializes a new instance of the adapter with the given XFire instance and service name.

  Parameters:
    `xfire` - the XFire instance
    `serviceName` - the name of the service

Method Detail

### getService

    protected java.lang.String getService(javax.servlet.http.HttpServletRequest request)

  Description copied from class: `XFireServletController`
  Get the service that is mapped to the specified request.

  Overrides:
    `getService` in class `XFireServletController`

### handleRequest

    public org.springframework.web.servlet.ModelAndView handleRequest(javax.servlet.http.HttpServletRequest request,
                                                                      javax.servlet.http.HttpServletResponse response)
                                                               throws java.lang.Exception

  Process the incoming SOAP request and create a SOAP response.

  Specified by:
    `handleRequest` in interface `org.springframework.web.servlet.mvc.Controller`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
  Returns:
    `null`
  Throws:
    `java.lang.Exception` - in case of errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.